From 71daedbcfec7e4d39ba26786acd508593f1df92e Mon Sep 17 00:00:00 2001
From: jplang <jplang@e93f8b46-1217-0410-a6f0-8f06a7374b81>
Date: Tue, 1 May 2012 15:48:46 +0000
Subject: Updates dispatch.fcgi.example to work with Rails3 and removes CGI handlers.

git-svn-id: svn://rubyforge.org/var/svn/redmine/trunk@9604 e93f8b46-1217-0410-a6f0-8f06a7374b81

--HG--
extra : source : 8af0e16a83451b68b0f3dfbbdc0451f7c4374f09
---
 public/dispatch.cgi.example  |   10 ----------
 public/dispatch.fcgi.example |   40 ++++++++++++++++++----------------------
 public/dispatch.rb.example   |   10 ----------
 public/htaccess.fcgi.example |    6 ------
 4 files changed, 18 insertions(+), 48 deletions(-)
 delete mode 100755 public/dispatch.cgi.example
 delete mode 100755 public/dispatch.rb.example

diff --git a/public/dispatch.fcgi.example b/public/dispatch.fcgi.example
index 664dbbb..9ff2a00 100755
--- a/public/dispatch.fcgi.example
+++ b/public/dispatch.fcgi.example
@@ -1,24 +1,20 @@
 #!/usr/bin/env ruby
-#
-# You may specify the path to the FastCGI crash log (a log of unhandled
-# exceptions which forced the FastCGI instance to exit, great for debugging)
-# and the number of requests to process before running garbage collection.
-#
-# By default, the FastCGI crash log is RAILS_ROOT/log/fastcgi.crash.log
-# and the GC period is nil (turned off).  A reasonable number of requests
-# could range from 10-100 depending on the memory footprint of your app.
-#
-# Example:
-#   # Default log path, normal GC behavior.
-#   RailsFCGIHandler.process!
-#
-#   # Default log path, 50 requests between GC.
-#   RailsFCGIHandler.process! nil, 50
-#
-#   # Custom log path, normal GC behavior.
-#   RailsFCGIHandler.process! '/var/log/myapp_fcgi_crash.log'
-#
-require File.dirname(__FILE__) + "/../config/environment"
-require 'fcgi_handler'
 
-RailsFCGIHandler.process!
+require File.dirname(__FILE__) + '/../config/boot'
+require File.dirname(__FILE__) + '/../config/environment'
+
+class Rack::PathInfoRewriter
+  def initialize(app)
+    @app = app
+  end
+
+  def call(env)
+    env.delete('SCRIPT_NAME')
+    parts = env['REQUEST_URI'].split('?')
+    env['PATH_INFO'] = parts[0]
+    env['QUERY_STRING'] = parts[1].to_s
+    @app.call(env)
+  end
+end
+
+Rack::Handler::FastCGI.run Rack::PathInfoRewriter.new(ChiliProject::Application)
diff --git a/public/htaccess.fcgi.example b/public/htaccess.fcgi.example
index 6d34071..8fddfc9 100644
--- a/public/htaccess.fcgi.example
+++ b/public/htaccess.fcgi.example
@@ -5,9 +5,6 @@
 <IfModule mod_fcgid.c>
   AddHandler fcgid-script .fcgi
 </IfModule>
-<IfModule mod_cgi.c>
-  AddHandler cgi-script .cgi
-</IfModule>
 Options +FollowSymLinks +ExecCGI
 
 # If you don't want Rails to look in certain directories,
@@ -42,9 +39,6 @@ RewriteCond %{REQUEST_FILENAME} !-f
 <IfModule mod_fcgid.c>
   RewriteRule ^(.*)$ dispatch.fcgi [E=X-HTTP_AUTHORIZATION:{HTTP:Authorization},QSA,L]
 </IfModule>
-<IfModule mod_cgi.c>
-  RewriteRule ^(.*)$ dispatch.cgi [E=X-HTTP_AUTHORIZATION:{HTTP:Authorization},QSA,L]
-</IfModule>
 
 # In case Rails experiences terminal errors
 # Instead of displaying this message you can supply a file here which will be rendered instead
-- 
1.7.1


